## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 19
%bcond_without check
%global debug_package %{nil}

%global crate getrandom

Name:           rust-%{crate}
Version:        0.2.3
Release:        %autorelease
Summary:        Small cross-platform library for retrieving random data from system source

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/getrandom
Source:         %{crates_source}
# Initial patched metadata
Patch0:         getrandom-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Small cross-platform library for retrieving random data from system source.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc CHANGELOG.md README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use "the default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+custom-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+custom-devel %{_description}

This package contains library source intended for building other packages which
use "the custom" feature of the "%{crate}" crate.

%files       -n %{name}+custom-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+rdrand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rdrand-devel %{_description}

This package contains library source intended for building other packages which
use "the rdrand" feature of the "%{crate}" crate.

%files       -n %{name}+rdrand-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use "the std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu May 20 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.3-2
- Update to version 0.2.3.
- Fixes RHBZ#1962506

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 19 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.2-1
- Update to version 0.2.2.
- Fixes RHBZ#1917831

* Mon Jan 04 08:28:08 CET 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.1-1
- Update to 0.2.1 (Fixes: RHBZ#1912200)

* Sat Nov 28 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.0-2
- Remove dependencies on compiler internals.

* Wed Oct 07 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.0-1
- Update to version 0.2.0.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Jan 07 2020 Josh Stone <jistone@redhat.com> - 0.1.14-1
- Update to 0.1.14

* Fri Dec 20 19:11:37 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.13-2
- Regenerate

* Fri Oct 25 19:13:03 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.13-1
- Update to 0.1.13

* Sun Aug 25 14:41:06 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.11-1
- Update to 0.1.11

* Sun Aug 18 11:36:10 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.10-1
- Update to 0.1.10

* Sat Aug 03 15:41:17 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.7-1
- Update to 0.1.7

* Sun Jul 28 14:47:44 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.6-1
- Initial package

